<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta
      http-equiv="Content-Security-Policy"
      content="default-src 'none'; connect-src *; img-src data: *; media-src data:; frame-src file: data:; script-src 'self' 'unsafe-eval'; style-src 'self' 'unsafe-inline'; font-src 'self' data:; worker-src 'self' blob:;"
    >
    <title>Postman Webview</title>
    <script src="../js/scratchpad/preload.js"></script>
    <link rel="preload" href="../js/scratchpad/scratchpad.css" as="style">
    <link rel="preload" href="../js/scratchpad/scratchpad.js" as='script'>


    <style>
      .pm-loader.is-exiting {
        opacity: 0;
      }

      .pm-loader.is-hidden {
        display: none;
      }

      body {
        margin: 0;
        width: 100vw;
        height: 100vh;
        overflow: hidden;
        position: absolute;
      }

      .pm-loader {
        width: 100%;
        height: 100%;
        z-index: 300;
        background: #FFFFFF;
      }

      .pm-loader-container {
        height: 100%;
        display: flex;
      }

      .app-root {
        width: 100%;
        height: 100%;
        overflow: hidden;
        position: absolute;
      }

      .app-root.is-hidden {
        display: none;
      }
      .requester-shell-loading-indicator-wrapper {
        position: absolute;
        top: 50%;
        left: 50%;
        height: 20px;
      }

      .requester-shell-loading-indicator-wrapper .loading-indicator{
        width: 4px;
        height: 20px;
        border-radius: var(--border-radius-s);
        background-color: var(--highlight-background-color-tertiary);
        position: relative;
        display: inline-block;
        -webkit-animation: bounce-middle 0.6s ease 0.1s infinite;
        animation: bounce-middle 0.6s ease 0.1s infinite;
      }

      .requester-shell-loading-indicator-wrapper .loading-indicator:before {
        left: -6px;
        -webkit-animation: bounce-middle 0.6s ease 0s infinite;
        animation: bounce-middle 0.6s ease 0s infinite;
        content: "";
        position: absolute;
        display: block;
        top: 50%;
        -webkit-transform: translateY(-10px) translateZ(0);
        transform: translateY(-10px) translateZ(0);
        width: 4px;
        height: 20px;
        border-radius: var(--border-radius-s);
        background-color: var(--highlight-background-color-tertiary);
      }


      .requester-shell-loading-indicator-wrapper .loading-indicator:after {
        left: 6px;
        -webkit-animation: bounce-middle 0.6s ease 0.2s infinite;
        animation: bounce-middle 0.6s ease 0.2s infinite;
        content: "";
        position: absolute;
        display: block;
        top: 50%;
        -webkit-transform: translateY(-10px) translateZ(0);
        transform: translateY(-10px) translateZ(0);
        width: 4px;
        height: 20px;
        border-radius: var(--border-radius-s);
        background-color: var(--highlight-background-color-tertiary);
      }

      .requester-shell-loader {
        width: 100%;
        flex: 1;
        display: flex;
        flex-direction: column;
      }

      .requester-shell-loader-main-header {
        height: 40px;
        background-color: #FFFFFF;
        box-shadow: inset 0 -1px 0 #ECECEC;
        display: flex;
        align-items: center;
        justify-content: space-between;
      }
      .requester-shell-loader-main-header__section-left {
        padding: var(--spacing-l);
      }
      .requester-shell-loader-main-header__section-left, .requester-shell-loader-main-header__section-right {
        display: flex;
        align-items: center;
      }

      .item-tabs {
        height: var(--size-s);
        width: 50px;
        border-radius: var(--border-radius-default);
        background-color: #F2F2F2;
        margin-right: var(--spacing-xxl);
      }

      .item-tabs-home { width: 40px; }
      .item-tabs-build { width: 110px; }

      .requester-shell-loader-searchbox {
        height: var(--size-m);
        width: 300px;
        border-radius: var(--border-radius-default);
        background-color: #F2F2F2;
        margin-right: var(--spacing-xxxl);
      }

      .item-circle {
        height: var(--size-s);
        width: var(--size-s);
        border-radius: var(--border-radius-max);
        background-color: #F2F2F2;
        padding: var(--spacing-xs);
        margin: var(--spacing-zero) var(--spacing-xs);
      }
      .item-rectangle {
        height: var(--size-m);
        width: 96px;
        background-color: #F2F2F2;
        border-radius: var(--border-radius-default);
        margin: var(--spacing-zero) var(--spacing-s);
      }
      .item-invite {
        height: var(--size-m);
        width: 62px;
        background-color: #F2F2F2;
        border-radius: var(--border-radius-default);
        margin: var(--spacing-zero) var(--spacing-s);
      }

      .requester-shell-loader-main-content {
        display: flex;
        flex: 1;
        -webkit-animation: fade 1s linear infinite;
        -moz-animation: fade 1s linear infinite;
        -o-animation: fade 1s linear infinite;
        animation: fade 1s linear infinite;
      }

      .requester-shell-loader-tab-main-content {
        flex: 3;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: #FFFFFF;
      }

      .requester-shell-loader-sidebar {
        flex: 1;
        max-width: 380px;
        background-color: #F2F2F2;
      }

      .requester-shell-loader-main-tab {
        height: var(--size-m);
        background-color: #FFFFFF;
      }

      .requester-shell-loader-tab-content-panes {
        display: flex;
        flex-direction: column;
        flex: 1;
      }

      .requester-shell-loader-tab-content-pane {
        display: flex;
        flex: 0 0 50%;
        flex-direction: column;
      }

      .requester-shell-loader .requester-contents-top {
        padding-right: var(--spacing-l);
      }

      .requester-shell-loader .flexed {
        display: flex;
      }

      .requester-shell-loader .request-editor__tabs-wrapper {
        display: flex;
        justify-content: space-between;
        flex: 1;
        margin-bottom: var(--spacing-xs);
        flex-direction: column;
      }
      .tab-main-content-shell-thumbnail {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        min-height: 350px;
      }
      .tab-main-content-shell-thumbnail path {
        color: #F2F2F2;
      }
      .requester-shell-loader .strip {
        background-color: #F2F2F2;
        margin: var(--spacing-xs) var(--spacing-m);
        border-radius: var(--border-radius-default);
      }

      .requester-shell-loader .url {
        flex: 1;
        height: var(--size-m);
        margin: var(--spacing-m);
        border-radius: var(--border-radius-default);
        background-color: #F2F2F2;
        margin-right: var(--spacing-m);
        width: 256px;
      }

      .strip-longest {
        width: 512px;
        height: var(--size-m);
      }

      .strip-shortest {
        width: 128px;
        height: var(--size-m);
      }

      @keyframes fade {
        0% { opacity: 0.25; }
        50% { opacity: 1; }
        100% { opacity: 0.25; }
      }

      @-webkit-keyframes fade {
        0% { opacity: 0.25; }
        50% { opacity: 1; }
        100% { opacity: 0.25; }
      }

      @-moz-keyframes fade {
        0% { opacity: 0.25; }
        50% { opacity: 1; }
        100% { opacity: 0.25; }
      }

      @-o-keyframes fade {
        0% { opacity: 0.25; }
        50% { opacity: 1; }
        100% { opacity: 0.25; }
      }

      @keyframes fade {
        0% { opacity: 0.25; }
        50% { opacity: 1; }
        100% { opacity: 0.25; }
      }
    </style>
  </head>
  <body>
    <link rel="stylesheet" type="text/css" href="../js/scratchpad/scratchpad.css">
    <style id='theme'></style>
    <div class='pm-loader'>
      <div class="pm-loader-container">
        <div class='requester-shell-loader'>
          <div class='requester-shell-loader-main-header'>
          </div>
          <div class='requester-shell-loader-main-content'>
            <div class="requester-shell-loading-indicator-wrapper">
              <div class="loading-indicator"></div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class='app-root' id='app-root'></div>
    <div class="aether-portals">
      <div id="aether-toast-notifications__container"></div>
      <div id="aether-popover-portal"></div>
      <div id="aether-tab-portal"></div>
      <div id="aether-breadcrumb-portal"></div>
      <div id="aether-dropdown-portal"></div>
    </div>
    <script type="text/javascript" src="../js/scratchpad/scratchpad.js"></script>
  </body>
</html>
